org.eclipse.viatra.cep.core.engine.compiler.util

## Class NonUnfoldedNotTransitionProcessor

- java.lang.Object
- - org.eclipse.viatra.cep.core.engine.compiler.util.NonUnfoldedNotTransitionProcessor

- All Implemented Interfaces:
    IMatchProcessor<NonUnfoldedNotTransitionMatch>

      public abstract class NonUnfoldedNotTransitionProcessor
      extends java.lang.Object
      implements IMatchProcessor<NonUnfoldedNotTransitionMatch>

  A match processor tailored for the org.eclipse.viatra.cep.core.engine.compiler.nonUnfoldedNotTransition pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonUnfoldedNotTransitionProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(Automaton pAutomaton, TypedTransition pTransition, ComplexEventPattern pEventPattern)` Defines the action that is to be executed on each match.
    `void` | `process(NonUnfoldedNotTransitionMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonUnfoldedNotTransitionProcessor

          public NonUnfoldedNotTransitionProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(Automaton pAutomaton,
                                       TypedTransition pTransition,
                                       ComplexEventPattern pEventPattern)

      Defines the action that is to be executed on each match.
      Parameters:
        `pAutomaton` - the value of pattern parameter automaton in the currently processed match
        `pTransition` - the value of pattern parameter transition in the currently processed match
        `pEventPattern` - the value of pattern parameter eventPattern in the currently processed match

    - #### process

          public void process(NonUnfoldedNotTransitionMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<NonUnfoldedNotTransitionMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method